### Hierarchy

- AtomStyle
  - AtomPopupStyle

### Implements

- IAtomStyle

## Index

### Constructors

- constructor

### Properties

- name
- parent
- styleSheet

### Accessors

- host

### Methods

- build
- createNamedStyle
- createStyle
- getBaseProperty
- getDefaultStyle
- init
- registerExternalStyleSheet
- toFullName
- toStyle

## Constructors

### constructor

- new AtomPopupStyle(styleSheet: AtomStyleSheet, parent: AtomStyle, name: string): AtomPopupStyle

- Inherited from AtomStyle.constructor

  - Defined in web/styles/AtomStyle.ts:29

  #### Parameters

  - ##### styleSheet: AtomStyleSheet

  - ##### parent: AtomStyle

  - ##### name: string

  #### Returns AtomPopupStyle

## Properties

### name

name: string

Implementation of IAtomStyle.name

Inherited from AtomStyle.name

- Defined in web/styles/AtomStyle.ts:34

### parent

parent: AtomStyle

Inherited from AtomStyle.parent

- Defined in web/styles/AtomStyle.ts:33

### styleSheet

styleSheet: AtomStyleSheet

Inherited from AtomStyle.styleSheet

- Defined in web/styles/AtomStyle.ts:32

## Accessors

### host

- get host(): IStyleDeclaration

- - Defined in web/styles/AtomPopupStyle.ts:5

  #### Returns IStyleDeclaration

## Methods

### Protected build

- build(): void

- Inherited from AtomStyle.build

  - Defined in web/styles/AtomStyle.ts:111

  #### Returns void

### createNamedStyle

- createNamedStyle<T>(c: IClassOf<T>, name: string): T

- Inherited from AtomStyle.createNamedStyle

  - Defined in web/styles/AtomStyle.ts:43

  #### Type parameters

  - #### T: AtomStyle

  #### Parameters

  - ##### c: IClassOf<T>

  - ##### name: string

  #### Returns T

### createStyle

- createStyle<TC, T>(tc: IClassOf<TC>, c: IClassOf<T>, name: string): T

- Inherited from AtomStyle.createStyle

  - Defined in web/styles/AtomStyle.ts:49

  #### Type parameters

  - #### TC: AtomControl

  - #### T: AtomStyle

  #### Parameters

  - ##### tc: IClassOf<TC>

  - ##### c: IClassOf<T>

  - ##### name: string

  #### Returns T

### getBaseProperty

- getBaseProperty<T>(tc: IClassOf<T>, name: string): any

- Inherited from AtomStyle.getBaseProperty

  - Defined in web/styles/AtomStyle.ts:60

  #### Type parameters

  - #### T

  #### Parameters

  - ##### tc: IClassOf<T>

  - ##### name: string

  #### Returns any

### getDefaultStyle

- getDefaultStyle(forKey: any): AtomStyle

- Inherited from AtomStyle.getDefaultStyle

  - Defined in web/styles/AtomStyle.ts:39

  #### Parameters

  - ##### forKey: any

  #### Returns AtomStyle

### Protected init

- init(): void

- Inherited from AtomStyle.init

  - Defined in web/styles/AtomStyle.ts:154

  #### Returns void

### Protected registerExternalStyleSheet

- registerExternalStyleSheet(s: object): void

- Inherited from AtomStyle.registerExternalStyleSheet

  - Defined in web/styles/AtomStyle.ts:158

  #### Parameters

  - ##### s: object

  #### Returns void

### Protected toFullName

- toFullName(n: string): string

- Inherited from AtomStyle.toFullName

  - Defined in web/styles/AtomStyle.ts:107

  #### Parameters

  - ##### n: string

  #### Returns string

### toStyle

- toStyle(pairs?: INameValuePairs): INameValuePairs

- Inherited from AtomStyle.toStyle

  - Defined in web/styles/AtomStyle.ts:75

  #### Parameters

  - ##### Optional pairs: INameValuePairs

  #### Returns INameValuePairs

Generated using TypeDoc